#pragma once
#include "dinkyecs.hpp"
#include <memory>
#include <SFML/Graphics/RenderWindow.hpp>
#include <guecs/ui.hpp>

namespace boss {
  using std::shared_ptr;
  using namespace DinkyECS;

  struct UI {

    UI(shared_ptr<World> world, Entity boss_id);

    void init();
    void render(sf::RenderWindow& window);
    bool mouse(float x, float y, guecs::Modifiers mods);
    bool boss_dead();
  };
}
